#include "Background.h"//implementar rooms

Background::Background(ALLEGRO_BITMAP *image, float velX){
	GameObject::Init(0, 0, velX, 0, -1, 0, 0, 0);

	SetID(MISC);
	SetCollidable(false);

	Background::image = image;
	frameWidth = al_get_bitmap_width(image);
}

void Background::Destroy(){
	GameObject::Destroy();
}
/*! @brief Metodo boundary.
*			Lmites(dimensional) del objeto.
*
* Se encarga de verificar que los objetos esten interactuando con el fondo,
* colisiones de player o otros objetos con el mapa.
*/
void Background::boundary(int num){
}

void Background::Update(){
	GameObject::Update();
	if(x + frameWidth <= 0)
		x = 0;
}

void Background::Render(){

	al_draw_bitmap(image, x, y, 0);

	if(x + frameWidth < WIDTH)
		al_draw_bitmap(image, x + frameWidth, y, 0);
}