#include "Bullet.h"

Bullet::Bullet(float x, float y, int position) {
	if (position == 3) {
		dirX = 0;
		dirY = -1;
		y -= 15;
	}
	else if (position == 0) {
		dirX = 0;
		dirY = 1;
		y += 15;
	}
	else if (position == 1) {
		dirX = -1;
		dirY = 0;
		x -= 15;
	}
	else if (position == 2) {
		dirX = 1;
		dirY = 0;
		x += 15;
	}
	GameObject::Init(x, y, 10, 10, dirX, dirY, 0, 0);
	SetID(BULLET);

}

void Bullet::Destroy(){
	GameObject::Destroy();
	SetAlive(false);
}

void Bullet::Update(){
	GameObject::Update();

	if (x < 55) {
		Destroy();
	}
	else if (x > 580)
		Destroy();

	if (y < 75)
		Destroy();
	else if (y > 400)
		Destroy();
}

void Bullet::Render(){
	al_draw_filled_circle(x, y, 2, al_map_rgb(255, 255, 255));
}

void Bullet::Collided(int objectID){
	if (objectID == ENEMY || objectID == BORDER || objectID == PLAYER)
		Destroy();

}