#include "Door.h"

Door::Door(float x, float y, ALLEGRO_BITMAP * image, bool volt){
	SetID(DOOR);
	Door::image = image;
	al_convert_mask_to_alpha(image, al_map_rgb(0, 0, 0));
	if (volt) {
		GameObject::Init(x, y, 0, 0, 0, 0, 15, 41);
		frameWidth = 30;
		frameHeight = 82;
	}
	else {
		GameObject::Init(x, y, 0, 0, 0, 0, 41, 15);
		frameWidth = 82;
		frameHeight = 30;
	}
}

void Door::Render(){
	al_draw_bitmap_region(image, 0, 0, frameWidth, frameHeight,
		x - frameWidth / 2, y - frameHeight / 2, 0);
}

void Door::Collided(int objectID){
}
