#pragma once
#include "Room.h"
#include "Wall.h"
#include "Gun.h"
#include "Door.h"
#include "NPC.h"
/*! @brief Clase Room0.
*			Sala de estructura 0.
*
* Sala con entrada arriba.
*/
class Room0: public Room {
private:
	Wall *block;/**< Puntero a un obstaculo. */
	Gun *gun;/**< Puntero a un arma. */
	Door *up;/**< Puntero a la puerta de arriba. */
	ALLEGRO_FONT *font = NULL;/**< Puntero a archivo TrueType. */
public:
	Room0(ALLEGRO_BITMAP *image, Player *p, int Type);
	void boundary(int num);
	void Render();
	void Update();
	void Destroy();
};