#pragma once
#include "Room.h"

/*! @brief Clase Room1.
*			Sala de estructura 1.
*
* Sala con entradas por arriba, abajo y derecha.
*/
class Room1 : public Room {
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *down;/**< Puntero a la puerta de abajo. */
	Door *up;/**< Puntero a la puerta de arriba. */
	Door *right;/**< Puntero a la derecha. */
	NPC *npc0;/**< Puntero a un NPC. */
public:
	Room1(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void Render();
	void Update();
	void Destroy();
};
