#include "Room10.h"

Room10::Room10(ALLEGRO_BITMAP *image, Player *p, int Type) :Room(image, p, velX) {
	prota = p;
	type = Type;
	has_enemy = false;
	right = new Door(620, 230, al_load_bitmap("imagenes/Objetos/door1_volt.png"), true);
	if (type == 1) {
		has_enemy = true;
		boss3 = new Boss3(prota, al_load_bitmap("imagenes/Sprites/skull.png"), 150, 225, 0);
		block0 = new Wall(600, 235, al_load_bitmap("imagenes/Objetos/reja1_v.png"), prota, Wall::REJA_V);
	}
}
//260 -375
void Room10::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		prota->SetY(95);
	}
	else if (prota->GetY() > 360 && num == 1) {
		prota->SetY(360);
	}
	else if (prota->GetX() < 75 && num == 2) {
		prota->SetX(75);
	}
	else if (prota->GetX() > 565 && num == 3) {
		if (prota->GetY() > 180 && prota->GetY() < 270) {}
		else { prota->SetX(565); }
	}
	else if (prota->GetX() > 570) {
		if (prota->GetY() < 180 + CACHO && prota->GetY() > 160 && num == 0) { prota->SetY(180 + CACHO); }
		else if (prota->GetY() > 270 - CACHO && prota->GetY() < 280 && num == 1) { prota->SetY(270 - CACHO); }
	}

	if (type == 1) {
		if (!boss3->GetAlive()) {
			if (boss3->CheckCollisions(prota)) {
				boss3->getTomb()->boundary(prota);
			}
		}
		if (block0->CheckCollisions(prota) && !block0->getOpen()) {
			block0->boundary(prota);
			if (prota->k3)
				block0->setOpen(true);
		}
	}
}

void Room10::Render() {
	al_draw_bitmap(image, x, y, 0);
	if (type == 1) {
		boss3->Render();
		if (!block0->getOpen())
			block0->Render();
	}
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room10::Update() {
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if (type == 1) {
		boss3->Update();
		if (boss3->GetAlive()) {
			list_Collided(prota->ammo, boss3);
			list_Collided(boss3->spawn, prota);
			list_to_list(prota->ammo, boss3->spawn);
			if (prota->CheckCollisions(boss3) && getCont() % 5 == 0) {
				prota->Collided(boss3->GetID());
			}
			Active_Cont();//cont++
		}

		if (prota->getLife() <= 0) {
			prota->setRoom(9);
			prota->setSet(3);
			prota->setType_Room(0);
		}
		if (prota->CheckCollisions(right)) {
			prota->Collided(right->GetID());
			prota->setSet(3);
			prota->setRoom(9);
			prota->setType_Room(0);
		}
	}
}

void Room10::Destroy() {
	delete(right);
	if (type == 1) {
		boss3->Destroy();
		delete(boss3);
		delete(block0);
	}
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
}

