#pragma once
#include "Room.h"
#include "Boss1.h"
#include "Boss2.h"

/*! @brief Clase Room3.
*			Sala de estructura 3.
*
* Sala con entrada en la izquierda.
*/
class Room3 : public Room {
public:
	Room3(ALLEGRO_BITMAP *image, Player *p, int Type);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Boss1 *boss1;/**< Puntero a un jefe. */
	Boss2 *boss2;/**< Puntero a un jefe. */
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Wall *block2;/**< Puntero a un obstaculo. */
	Door *left;/**< Puntero a una puerta. */
	NPC *npc0;/**< Puntero a un NPC. */
};