#include "Room4.h"
Room4::Room4(ALLEGRO_BITMAP *image, Player *p, int Type) :Room(image, p, velX) {
	prota = p;
	type = Type;
	has_enemy = false;
	down = new Door(320, 460, al_load_bitmap("imagenes/Objetos/door1.png"), false);
	right = new Door(620, 230, al_load_bitmap("imagenes/Objetos/door1_volt.png"), true);
	if (type == 0) {
		npc0 = new NPC(prota, al_load_bitmap("imagenes/Sprites/scout.png"), 200, 100, 5, 0, new Texto("Textos/wait1.txt"));
		spawn.push_back(npc0);
	}

}
//260 -375
void Room4::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		prota->SetY(95);
	}
	else if (prota->GetY() > 360 && num == 1) {
		if (prota->GetX() > 260 && prota->GetX() < 375) {}
		else { prota->SetY(360); }
	}
	else if (prota->GetX() < 75 && num == 2) {
		prota->SetX(75);
	}
	else if (prota->GetX() > 565 && num == 3) {
		if (prota->GetY() > 180 && prota->GetY() < 270) {}
		else { prota->SetX(565); }
	}
	else if (prota->GetY() > 360) {
		if (prota->GetX() < 270 && prota->GetX() > 260 && num == 2) { prota->SetX(270); }
		else if (prota->GetX() > 370 && prota->GetX() < 380 && num == 3) { prota->SetX(370); }
	}
	else if (prota->GetX() > 570) {
		if (prota->GetY() < 180 + CACHO && prota->GetY() > 160 && num == 0) { prota->SetY(180 + CACHO); }
		else if (prota->GetY() > 270 - CACHO && prota->GetY() < 280 && num == 1) { prota->SetY(270 - CACHO); }
	}
	if (type == 0) {
		if (npc0->CheckCollisions(prota)) {
			npc0->boundary(num);
		}
	}
}

void Room4::Render() {
	al_draw_bitmap(image, x, y, 0);
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room4::Update() {
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if (type == 0) {
		if (prota->CheckCollisions(down)) {
			prota->Collided(down->GetID());
			prota->setSet(1);
			prota->setRoom(1);
			prota->setType_Room(0);
		}
		if (prota->CheckCollisions(right)) {
			prota->Collided(right->GetID());
			prota->setSet(3);
			prota->setRoom(5);
			prota->setType_Room(0);
		}
		if (npc0->CheckCollisions(prota)) {
			npc0->Collided(prota->GetID());
		}
	}
}

void Room4::Destroy() {
	delete(down);
	delete(right);
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
}



