#pragma once

#include "Room.h"

/*! @brief Clase Room4.
*			Sala de estructura 4.
*
* Sala con entrada en la derecha y abajo.
*/
class Room4 : public Room {
public:
	Room4(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *down;/**< Puntero a la puerta de abajo. */
	Door *right;/**< Puntero a la puerta de la derecha. */
	NPC *npc0;/**< Puntero a un NPC. */
};
