#pragma once
#include "Enemy.h"

/*! @brief Clase Boss3.
*			Tercer jefe.
*
*
* Enemigo con caracteristicas nicas, Tercer jefe del juego.
*/
class Boss3 : public Enemy {
private:
	char *name;/**< Cadena de caracteres, nombre del personaje. */
	Wall *dead = NULL;/**< Puntero a objeto Wall, tumba. */
	Wall *lf = NULL;/**< Puntero a objeto Wall, bloque con una imagen que acompaa la vida restante. */
	Key *key3 = NULL;/**< Puntero a objeto Key, llave arrojada al morir. */
public:
	Boss3(Player *p, ALLEGRO_BITMAP *image, int x_, int y_, int Posicion);
	void Init(ALLEGRO_BITMAP *image = NULL);
	void Update();
	void Render();
	int getLife() { return life; }
	Wall *getTomb() { return dead; }
	void Collided(int objectID);
	void Destroy();
};

