#pragma once

#include "GameObject.h"

/*! @brief Clase Key.
*			Llaves para rejas y puertas.
*
* Llaves arrojadas al matar un "Boss", permiten seguir tu camino.
*/
class Key : public GameObject {
private:
	int num;/**< Entero, representa el N de la llave. */
public:
	Key(float x, float y, ALLEGRO_BITMAP *image, int n);
	void Render();
	void Collided(int objectID);
	int getNum() { return num; }
};