#include "Room0.h"
//Room0 solo tiene entrada arriba. vease Begin.png
Room0::Room0(ALLEGRO_BITMAP *image, Player *p, int Type):Room(image, p, velX){
	prota = p;
	type = Type;
	if (type == 0) {
		has_enemy = false;
		block = new Wall(100, 160, al_load_bitmap("imagenes/Objetos/tree.png"), prota, Wall::ARBOL);
		if (!prota->getGun()) {
			gun = new Gun(55, 95, al_load_bitmap("imagenes/Items/Gun.png"));
			spawn.push_back(gun);
		}
		up = new Door(320, 20, al_load_bitmap("imagenes/Objetos/door1.png"), false);
		font = al_load_ttf_font("fuentes/shangri-la.ttf", 20, 0);
		spawn.push_back(block);
		spawn.push_back(up);
	}

}
//260 -375
void Room0::boundary(int num) {
	if (prota->GetY() < 95 && num == 0) {
		if (prota->GetX() > 260 && prota->GetX() < 375) {}
		else { prota->SetY(95); }
	}
	else if (prota->GetY() > 360 && num == 1) {
		prota->SetY(360);
	}
	else if (prota->GetX() < 75 && num == 2) {
		prota->SetX(75);
	}
	else if(prota->GetX() > 565 && num == 3){
		prota->SetX(565);
	}
	else if (prota->GetY() < 90) {
		if (prota->GetX() < 270 && prota->GetX() > 260 && num == 2) { prota->SetX(270); }
		else if (prota->GetX() > 370 && prota->GetX() < 380 && num == 3) { prota->SetX(370); }
	}
	else if (block->CheckCollisions(prota)) {
		block->boundary(prota);
	}
}


void Room0::Render() {
	al_draw_bitmap(image, x, y, 0);
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 320, ALLEGRO_ALIGN_CENTRE, "Pulsa 'Espacio' para disparar");
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 340, ALLEGRO_ALIGN_CENTRE, "Pulsa 'C' para accion");
	al_draw_text(font, al_map_rgb(0, 0, 0), 320, 360, ALLEGRO_ALIGN_CENTRE, "Pulsa 'Tab' para mostrar mapa");
	for (iter = spawn.begin(); iter != spawn.end(); iter++)
		(*iter)->Render();
}

void Room0::Update(){
	for (iter = spawn.begin(); iter != spawn.end();) {
		(*iter)->Update();
		if (!(*iter)->GetAlive()) {
			(*iter)->Destroy();
			delete(*iter);
			iter = spawn.erase(iter);
		}
		else { iter++; }
	}
	if(!prota->getGun() && prota->CheckCollisions(gun) && type == 0) {
		prota->Collided(gun->GetID());
		gun->Collided(prota->GetID());
	}
	if (prota->CheckCollisions(up)) {
		prota->Collided(up->GetID());
		prota->setSet(0);
		prota->setRoom(1);
		prota->setType_Room(0);
	}
}

void Room0::Destroy() {
	for (iter = spawn.begin(); iter != spawn.end(); iter++) {
		(*iter)->Destroy();
		delete(*iter);
	}
}
