#pragma once

#include "Room.h"

/*! @brief Clase Room8.
*			Sala de estructura 8.
*
* Sala con entrada a la izquierda y arriba.
*/
class Room8 : public Room {
public:
	Room8(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *left;/**< Puntero a la puerta izquierda. */
	Door *up;/**< Puntero a la puerta de arriba. */
	NPC *npc0;/**< Puntero a un NPC. */
};