#pragma once

#include "Room.h"

/*! @brief Clase Room9.
*			Sala de estructura 9.
*
* Sala con entrada a la izquierda, derecha y arriba.
*/
class Room9 : public Room {
public:
	Room9(ALLEGRO_BITMAP *image, Player *p, int ID);
	void boundary(int num);
	void setObj(Wall *g, int x_, int y_);
	void Render();
	void Update();
	void Destroy();
private:
	Wall *block0;/**< Puntero a un obstaculo. */
	Wall *block1;/**< Puntero a un obstaculo. */
	Door *up;/**< Puntero a la puerta de arriba. */
	Door *left;/**< Puntero a la puerta izquierda. */
	Door *right;/**< Puntero a la puerta derecha. */
	NPC *npc0;/**< Puntero a un NPC. */
};