#pragma once
#include "GameObject.h"
#include <allegro5/allegro_ttf.h>
#include <allegro5/allegro_font.h>
#define Max_Lines 100

/*! @brief Clase Texto.
*			Manejo de archivos.
*
*
* Lee e imprime en pantalla lo contenido en el archivo .txt
*/
class Texto {
private:
	int lineas;/**< Entero, lineas totales en el archivo. */
	char linea[Max_Lines][Max_Lines];/**< Matriz de char, guarda lo contenido en el .txt. */
	ALLEGRO_FILE *file = NULL;/**< Puntero a archivo(txt). */
	ALLEGRO_FONT *font = NULL;/**< Puntero a la fuente de la letra(archivo de fuente TrueType). */
public:
	Texto(char *path);
	void read();
	void print();
	char *getLinea() { return *linea; }
	int getLineas() { return lineas; }
	void destroy();
};